1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

SSL Chain Cert Firefox Unable to Validate

Discussion in 'Plesk Expand 2.2 Troubleshooting Issues' started by slamp, Apr 24, 2008.

  1. slamp

    slamp Guest

    0
     
    I am running expand 2.2.4. With the new implementation of sw-cp-server, you have to put the SSL in the /etc/sw-cp-server/applications.d/01_expand.conf config file. I have a chain certificate file that does not seem to be working correctly. How to fix?

    This is what my cert.pem is layed out as.

    -----BEGIN RSA PRIVATE KEY----
    ......myprivatekey........
    -----END RSA PRIVATE KEY-----
    -----BEGIN CERTIFICATE-----
    .......mycertfile.........
    -----END CERTIFICATE-----
    -----BEGIN CERTIFICATE-----
    .......godaddy...intermediate....
    -----END CERTIFICATE-----
    -----BEGIN CERTIFICATE-----
    .......godaddy...intermediate....
    -----END CERTIFICATE-----
    -----BEGIN CERTIFICATE-----
    .......godaddy...intermediate....
    -----END CERTIFICATE-----
     
  2. slamp

    slamp Guest

    0
     
    Works fine in IE7 by the way. Same issue with Firefox 3 and it gives this error message:

    The certificate is not trusted because the issuer certificate is unknown.

    (Error code: sec_error_unknown_issuer)
     
  3. wsani

    wsani Silver Pleskian

    28
    40%
    Joined:
    Mar 4, 2005
    Messages:
    509
    Likes Received:
    0
    It looks like you installed the CA bundle. Is that correct?
     
  4. slamp

    slamp Guest

    0
     
    yes i did. am i missing anything?
     
Loading...